Subject: Re: Cat and Head Problems with Binary Files
From: Geoffrey Noer <[email-masked]>
To: Jeffry T Ross <[email-masked]>
Cc: [email-masked]
Date: Fri, 23 Jul 1999 18:19:13 -0700

On Thu, Jul 22, 1999, Jeffry T Ross wrote:
>
> Who ever said that cat and head are textutils?
> On the Unix side of the world they're commonly used
> on binary files.

Yes, I consider the current state to be broken for this
reason but nobody has volunteered to fix it so...

In DJGPP I believe there is a set of patches that addresses this
problem by adding a flag to all of these programs so that
people can specify whether they are (for example) catting a
binary or text file.  These patches have not yet been applied/enabled
for the Cygwin ports.

If someone would volunteer to make them work for Cygwin and submit the
changes to the FSF maintainers (and perhaps to the cygwin-developers
list), I'm sure many people would be appreciative.

Best regards,

-- 
Geoffrey Noer		Email: [email-masked]
Cygnus Solutions

--
Want to unsubscribe from this list?
Send a message to [email-masked]